WindowFocusListener (Java Platform SE 8 )
Keywords: java.awt.event.WindowFocusListener interface
Date: 2016-12-09

java.awt.event

## Interface WindowFocusListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AWTEventMulticaster, BasicToolBarUI.FrameListener, JMenu.WinListener, WindowAdapter

      public interface WindowFocusListener
      extends EventListener

  The listener interface for receiving `WindowEvents`, including `WINDOW_GAINED_FOCUS` and `WINDOW_LOST_FOCUS` events. The class that is interested in processing a `WindowEvent` either implements this interface (and all the methods it contains) or extends the abstract `WindowAdapter` class (overriding only the methods of interest). The listener object created from that class is then registered with a `Window` using the `Window`'s `addWindowFocusListener` method. When the `Window`'s status changes by virtue of it being opened, closed, activated, deactivated, iconified, or deiconified, or by focus being transfered into or out of the `Window`, the relevant method in the listener object is invoked, and the `WindowEvent` is passed to it.
  Since:
    1.4
  See Also:
    `WindowAdapter`, `WindowEvent`, Tutorial: Writing a Window Listener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `windowGainedFocus(WindowEvent e)` Invoked when the Window is set to be the focused Window, which means that the Window, or one of its subcomponents, will receive keyboard events.
    `void` | `windowLostFocus(WindowEvent e)` Invoked when the Window is no longer the focused Window, which means that keyboard events will no longer be delivered to the Window or any of its subcomponents.

- - ### Method Detail

    - #### windowGainedFocus

          void windowGainedFocus(WindowEvent e)

      Invoked when the Window is set to be the focused Window, which means that the Window, or one of its subcomponents, will receive keyboard events.

    - #### windowLostFocus

          void windowLostFocus(WindowEvent e)

      Invoked when the Window is no longer the focused Window, which means that keyboard events will no longer be delivered to the Window or any of its subcomponents.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.